This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 529240 - Can't change Kerberos password when policy's history > 1 (krb5 w/ ldap backend)
Can't change Kerberos password when policy's history > 1 (krb5 w/ ldap backend)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-15 12:44 EDT by Chris Evich
Modified: 2013-04-20 03:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:01:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Evich 2009-10-15 12:44:00 EDT
Description of problem:
When I modify my default policy with "-history 9" I get an error, but "-history 1" works fine.

Version-Release number of selected component (if applicable):
389-ds-base-1.2.2-1.fc11.x86_64
krb5-server-ldap-1.6.3-20.fc11.x86_64
krb5-server-1.6.3-20.fc11.x86_64

How reproducible:
Very, though setup is hard.

Steps to Reproduce:
1. Setup directory server tree and kdc and kadmin users.
2. Setup kdc as per MIT's install guide.
3. ssh into kdc as a user, use passwd or kpasswd to change password
4. use kadmin to modify default policy
5. Repeat #3
  
Actual results:
$ passwd
Changing password for user xxxxxxx.
Kerberos 5 Password: 
New password: 
Retype new password: 
Password change failed: Server error (Password not changed.
Password history principal key version mismatch while trying to change password.
)

passwd: Authentication token manipulation error


Expected results:
$ passwd
Changing password for user xxxxxxx.
Kerberos 5 Password: 
New password: 
Retype new password: 
passwd: all authentication tokens updated successfully.

Additional info:
No other useful messages are logged anywhere becides normal pre-auth and kadmin/changepw ticket issuance.

I've tried opening up permissions on the directory server and rebuilding the whole setup from scratch multiple times.

googling around for the "Password history principal key version mismatch" turns up something interesting in OpenSolaris (who aparently also draws from the MIT source).  Not sure if it's related or not:

http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6620943
Comment 1 Chris Evich 2009-10-15 12:48:44 EDT
Note: I'm actually using my setup now even w/o this part working.  I'm willing to provide any amount of additional debugging info from my setup as long as it doesn't wreck it :)  Otherwise, I'm not having any other unexplainable problems with it.  NFSv4 works with sec=krb5p from remote hosts, can ssh around w/o trouble, etc.
Comment 2 Bug Zapper 2010-04-28 06:50:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 11:01:58 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.